complexType "StrikeSchedule"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | initialValue, buyer?, seller?
</...>

Content Model Elements (3):

  buyer (defined in StrikeSchedule complexType), initialValue (defined in Schedule complexType), | seller (defined in StrikeSchedule complexType)

All Direct / Indirect Based Elements (2):

  capRateSchedule, floorRateSchedule

Known Usage Locations

- As direct type of elements (2):
  capRateSchedule, floorRateSchedule

Annotation
A type describing a schedule of cap or floor rates.
Type Definition Detail

Type Derivation Tree Schedule (extension) StrikeSchedule

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="StrikeSchedule"> <xsd:complexContent> <xsd:extension base="Schedule"> <xsd:sequence> <xsd:element minOccurs="0" name="buyer" type="IdentifiedPayerReceiver"/> <xsd:element minOccurs="0" name="seller" type="IdentifiedPayerReceiver"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/3)
buyer

  Type: | IdentifiedPayerReceiver, simple content

  The buyer of the option
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Payer" | - | The party identified as the stream payer. See: http://www.FpML.org
  "Receiver" | - | The party identified as the stream receiver. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="buyer" type="IdentifiedPayerReceiver"/>

seller

  Type: | IdentifiedPayerReceiver, simple content

  The party that has sold.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Payer" | - | The party identified as the stream payer. See: http://www.FpML.org
  "Receiver" | - | The party identified as the stream receiver. See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="seller" type="IdentifiedPayerReceiver"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.